| Version: 3.0.5

- Main Page
- Related Pages
- Categories
- Classes
- Files

- File List
- File Members

All Classes Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Modules Pages
Classes | Macros | Enumerations
checkbox.h File Reference

## Classes

class | wxCheckBox
| A checkbox is a labelled box which by default is either on (checkmark is visible) or off (no checkmark). More...

## Macros

#define | wxCHK_2STATE 0x4000
#define | wxCHK_3STATE 0x1000
#define | wxCHK_ALLOW_3RD_STATE_FOR_USER 0x2000

## Enumerations

enum | wxCheckBoxState { wxCHK_UNCHECKED, wxCHK_CHECKED, wxCHK_UNDETERMINED }
| The possible states of a 3-state wxCheckBox (Compatible with the 2-state wxCheckBox). More...

## Macro Definition Documentation

#define wxCHK_2STATE 0x4000

#define wxCHK_3STATE 0x1000

#define wxCHK_ALLOW_3RD_STATE_FOR_USER 0x2000

## Enumeration Type Documentation

enum wxCheckBoxState

The possible states of a 3-state wxCheckBox (Compatible with the 2-state wxCheckBox).

Enumerator
wxCHK_UNCHECKED |
wxCHK_CHECKED |
wxCHK_UNDETERMINED | 3-state checkbox only